Loading...
Searching...
No Matches
Opm::GIE::CellIterator< GridInterface > Class Template Reference
Inheritance diagram for Opm::GIE::CellIterator< GridInterface >:

## Public Types

typedef CellType::Vector | Vector
typedef CellType::Scalar | Scalar
typedef CellType::Index | Index
Public Types inherited from Opm::GIE::Cell< GridInterface, GridInterface::GridType::template Codim< 0 >::LeafIterator >
typedef GIE::FaceIterator< GridInterface > | FaceIterator
typedef FaceIterator::Vector | Vector
typedef FaceIterator::Scalar | Scalar
typedef FaceIterator::Index | Index

## Public Member Functions

| CellIterator (const GridInterface &grid, DuneCellIter it)
const CellIterator & | dereference () const
| Used by iterator facade.
bool | equal (const CellIterator &other) const
| Used by iterator facade.
void | increment ()
| Used by iterator facade.
Public Member Functions inherited from Opm::GIE::Cell< GridInterface, GridInterface::GridType::template Codim< 0 >::LeafIterator >
FaceIterator | facebegin () const
FaceIterator | faceend () const
Scalar | volume () const
Vector | centroid () const
Index | index () const

## Additional Inherited Members

Protected Attributes inherited from Opm::GIE::Cell< GridInterface, GridInterface::GridType::template Codim< 0 >::LeafIterator >
const GridInterface * | pgrid_
GridInterface::GridType::template Codim< 0 >::LeafIterator | cell_

The documentation for this class was generated from the following file:

- opm/porsol/common/GridInterfaceEuler.hpp